package model;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Toolkit;
import javax.swing.*;

public class ModelFrame extends JFrame {

    public ModelFrame(Model model) {
        super("Handle Reduction");
    
        // kill the process when the JFrame is closed
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    
        // add the GLCanvas 
        getContentPane().add(model.canvas, BorderLayout.CENTER);   
//        JPanel pane1 = model.createControl();
//        if(pane1 != null) {
//            getContentPane().add(pane1, BorderLayout.SOUTH);
//    	}
        JPanel pane2 = model.createIndex();
        if(pane2 != null) {
            getContentPane().add(pane2, BorderLayout.EAST);
    	}
//        setSize(1400, 1000);
        setSize(1000, 850);

        // center the JFrame on the screen
        centerWindow(this);
    }

    public void centerWindow(Component frame) {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize  = frame.getSize();

        if (frameSize.width  > screenSize.width ) frameSize.width  = screenSize.width;
        if (frameSize.height > screenSize.height) frameSize.height = screenSize.height;

        frame.setLocation (
          (screenSize.width  - frameSize.width ) >> 1, 
          (screenSize.height - frameSize.height) >> 1
        );
    }
}

